
using UnityEngine;

namespace Mod
{
    public class Deathnotepower : MonoBehaviour
    {


        private GameObject hand;

        private GameObject handGlow;

        public void Awake()
        {
            hand = gameObject;

            BoxCollider2D bc;
            bc = gameObject.AddComponent<BoxCollider2D>() as BoxCollider2D;
            bc.size = new Vector2(0.4f, 0.4f);
            bc.isTrigger = true;
            bc.transform.parent = handGlow.transform;



            handGlow = new GameObject();
            handGlow.transform.parent = hand.transform;
            handGlow.transform.localPosition = new Vector3(0f, -0.09f);
            handGlow.transform.localScale = gameObject.transform.parent.localScale;

            var handSprite = handGlow.AddComponent<SpriteRenderer>();

            handSprite.sprite = ModAPI.LoadSprite("");
            handSprite.material = ModAPI.FindMaterial("Sprites-Default");
            handSprite.color = new Color(1f, 1f, 1f, 0f);
            handSprite.sortingLayerName = "Bottom";


        }



        public void OnTriggerStay2D(Collider2D other)
        {
         var dr = other.gameObject.GetComponent<LimbBehaviour>();
              dr.Person.PainLevel = 10f;
              other.gameObject.GetComponent<LimbBehaviour>().CirculationBehaviour.BleedingRate += float.PositiveInfinity;
              Destroy(this.gameObject);

        }


        public void FixedUpdate()
        {

            if(hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 0f)

            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 1f, 1f, 1f));
            }
            else
            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 0f);
            }
        }


    }
}
